{**********************************************************************
 *
 * This software is furnished under a license and may be used and copied
 * only  in  accordance  with  the  terms  of such  license and with the
 * inclusion of the above copyright notice.  This software  or any other
 * copies thereof may not be provided or otherwise made available to any
 * other person.  No title to and  ownership of the  software is  hereby
 * transferred.
 *
 **********************************************************************}

 <div class="grid01 clearfix" style="padding:5px;">

        <div class="pwbox1">
{if $subaction == 'reminders'}
            <h1>Bandwidth Statistics - configure reminders</h1>
            {if $info.success}
                <div class="alert alert-success">
                    <p class="info" style="margin-bottom: 0;">{$info.success}</p>
                </div> 
            {/if}
            {if $info.error}
                <div class="alert alert-error">
                    <p class="info" style="margin-bottom: 0;">{$info.error}</p>
                </div> 
            {/if}

            <div class="internalpadding">
                <h2 style="vertical-align:middle; text-transform: none;">You have enabled <span class="badge badge-important" style="vertical-align:middle; margin-top: -0.5em;">{$allerts_enabled} / {$allerts|@count}</span> allerts.</h2>
                <p>Set the percentage of Bandwidth usage to notify when server reach selected percentage level. Monitor your usage via e-mail messages.</p>

                <form class="form-horizontal" method="post" action="">
                <input type="hidden" name="nps_nonce" value="{$nps_nonce}" />
                <input type="hidden" name="subaction" value="reminders" />

                   <table class="table table-striped table-framed" style="width: 50%;" align="center">
                   <thead>
                       <tr>
                           <th style="width: 80px;">Alert #</th>
                           <th>Percentage</th>
                           <th>Status</th>
                       </tr>
                   </thead>
                   <tbody>
                   {foreach from=$allerts key=i item=allert}
                    <tr>
                        <td># {$i}</td>
                        <td style="white-space: nowrap;">
                            <input style="width: 40px!important" type="text" name="allerts[{$i}][value]" size="7" value="{$allert.value}" placeholder="0">
                        </td>
                        <td>
                            <input type="checkbox" name="allerts[{$i}][enable]" {if $allert.enable == 'on'}checked="checked" {/if}/>
                        </td>
                    </tr>
                   {/foreach}
                    </tbody>
                </table>
                <div class="form-actions" style="text-align: center;padding-left: 0;">
                    <input class="btn btn-primary" type="submit" name="submit" value="Save Changes">
                </div>
                </form>
            </div>
{else}
            <h1>Bandwidth Statistics</h1>
            <h2>Summary bandwidth</h2>
            <div>
                <a class="btn pull-right" href="clientarea.php?action=productdetails&id={$id}&modop=custom&a=management&page=bandwidth&subaction=reminders"><i class="icon-info-sign"></i> Reminders</a>
                <p>
                    Used: <strong>{$summary.bandwidth} GB</strong> <br />
                    Available: <strong>{$summary.limit_gb} GB</strong> <i>({$summary.limit_percentage}%)</i><br />
                </p>
            </div>
            <div class="progress progress-danger">
              <div class="bar"
                   style="width: {$summary.limit_percentage}%;"></div>
            </div>           
            
            <h2>Servers Bandwidth</h2>

            <div style="margin:30px 10px;">
                <table class="table table-striped table-framed">
                    <thead>
                        <tr>
                            <th><strong>Ip</strong></th>
                            <th><strong>Bandwidth Limit</strong></th>
                            <th><strong>Used</strong></th>
                            <th><strong>Graph</strong></th>
                        </tr>
                    </thead>
                    <tbody>
                        
                        <tr>
                            <td><strong>{$bwdata.ip}</strong></td>
                            <td>{$bwdata.limit} GB</td>
                            <td>{math equation="x / (1024 * 1024 * 1024)" x=$bwdata.summary.bandwidth format="%.1f"} GB</td>
                            <td><a href="graph" class="btn btn-small show-graph">Show</a></td>
                        </tr>
                        <tr><td colspan="4" id="graph" style="display:none;">
                            <div class="graph" style="width: 885px;"></div>
                        </td></tr>
      <script type="text/javascript">
          {literal}
          jQuery(function () {
            jQuery('#graph > div.graph').highcharts({
            chart: {
                type: 'spline'
            },
            title: {
                text: 'Last Month',
                x: -20 //center
            },
            subtitle: {
                text: '',
                x: -20
            },
            xAxis: {
                type: 'datetime',
                dateTimeLabelFormats: {
                        minute: '%H:%M',
                }
            },
            yAxis: {
                title: {
                    text: 'GB'
                },
                min: 0
            },
            series: [{
                name: 'Total',
                data: [
                {/literal} 
                    {foreach from=$bwdata.data item=item name=foo}
                        [Date.UTC({$item.update}), {if $item.bandwidth!='' && is_numeric($item.bandwidth)}{$item.bandwidth}{else}0{/if}],
{*                        {if not $smarty.foreach.foo.last},{/if}*}
                    {/foreach} 
                {literal}
                ]
            }]
        });
    });
      {/literal}
      </script>
                        
                        <tr>
                            <td style="text-align: right;"><strong>In total</strong></td>
                            <td><strong>{$summary.limit} GB</strong></td>
                            <td colspan="2"><strong>{$summary.bandwidth} GB</strong></td>
                        </tr>
                    </tbody>
                </table>
            </div>
{/if}              
        </div>          
        <div style="clear:both;"></div>
    </div>
        
<script src="modules/servers/instantps/highcharts/highcharts.js"></script>
<script type="text/javascript">
{literal}
jQuery(document).ready(function(){
    jQuery(".show-graph").click(function(event) {
        event.preventDefault();
        if($('#'+$(this).attr('href')).is(":visible")) {
            $('#'+$(this).attr('href')).hide();
            $(this).text('Show');
        } else {
            $('#'+$(this).attr('href')).show();
            $(this).text('Hide');
        }
    }); 
});

{/literal}
</script>
